# BackendCapabilities Namespace Reference

### [com.trolltech.qt.phonon package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The BackendCapabilities prototype object
- List availableAVCaptureDevices()
- List availableAudioCaptureDevices()
- List availableAudioEffects()
- List availableAudioOutputDevices()
- List availableMimeTypes()
- List availableVideoCaptureDevices()
- bool isMimeTypeAvailable(String mimeType)